@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&family=Sriracha&display=swap');


html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    opacity: 1;
    transition: opacity 0.5s ease-in-out;
    background: rgb(251, 255, 255);
}

.fade-out
{
    opacity: 0;
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

@media (max-width: 768px)
{
    .content
    {
        margin-top: 40px;
        height: calc(100vh - 40px);
    }
}

::selection
{
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
}

.container
{
    height: 100%;
    overflow-y: auto;
}


/*         #region Main panel         */

.main-panel
{
    display: flex;
    flex-direction: column;
    justify-content:start;
    align-items: center;
    margin-left: 95px;
    margin-bottom: 30px;
    height: auto;
    transition: margin-left 0.3s;
    overflow-x: hidden;
}

.about
{
    box-sizing: border-box;
    padding: 20px 30px;
    width: 95%;
    height: auto;
    border-radius: 20px;
    background-color: rgba(9, 39, 65, 0.144);
    font-size: 1.2em;
    word-break: break-word;
    overflow-wrap: break-word;
    word-wrap: break-word;
}


@media (max-width: 768px)
{
    .main-panel
    {
        width: 100%;
        margin-left: 0px;
        margin-bottom: 30px;
        height: auto;
        transition: margin-left 0.3s;
    }
}

/* #endregion */

